[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Problemas vmware em kernel 2.6.18-5-k7

Pessoal antes de migrar para o kernel para 2.6.18-5-k7, eu instalava o vmware no kernel 2.6.18-5-686 com o seguinte erro no gcc:

Your kernel was built with "gcc" version " 4.1.2", while you are trying to use
"/usr/bin/gcc" version "4.2.1". This configuration is not recommended and
VMware Workstation may crash if you'll continue. Please try to use exactly same
compiler as one used for building your kernel. Do you want to go with compiler
"/usr/bin/gcc" version "4.2.1" anyway? [no]

Mesmo forçando a instalação com a versão diferente do gcc o vmware passava, e instalava, isso na versão 686. Agora na versão para k7
ele passa mais dá após o seguinte erro:

What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.18-5-k7/build/include]

Deixo a pasta padrão.

Extracting the sources of the vmmon module.

Building the vmmon module.

Using 2.6.x kernel build system.
make: Entrando no diretório `/tmp/vmware-config0/vmmon-only'
make -C /lib/modules/2.6.18-5-k7/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entrando no diretório `/usr/src/linux-headers-2.6.18-5-k7 '
/tmp/vmware-config0/vmmon-only/Makefile:90: *** Inappropriate build environment: you wanted to use gcc version 4.2.1 while kernel attempts to use gcc version 4.1.3.
/tmp/vmware-config0/vmmon-only/Makefile:92: *** For proper build you'll have to replace  gcc-4.1 -m32 with symbolic link to /usr/bin/gcc.  Pare.
make[1]: ** [_module_/tmp/vmware-config0/vmmon-only] Erro 2
make[1]: Saindo do diretório `/usr/src/linux-headers-2.6.18-5-k7'
make: ** [vmmon.ko] Erro 2
make: Saindo do diretório `/tmp/vmware-config0/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at " http://www.vmware.com/download/modules/modules.html" and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html ".

Execution aborted.

Uso o Debian Lenny,
Alguma Luz?


Reply to: